[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.OnChange

Event triggerd when the field's value has changed

## Declaration

Source position: db.pas line 441

`published property TField.OnChange: TFieldNotifyEvent read FOnChange write FOnChange;`

## Description

OnChange is triggered whenever the field's value has been changed. It is triggered only after the new contents have been written to the dataset buffer, so it can be used to react to changes in the field's content. To prevent the writing of changes to the buffer, use the TField.OnValidate event. It is not allowed to change the state of the dataset or the contents of the field during the execution of this event handler: doing so may lead to infinite loops and other unexpected results.

## See also

TField.OnChange |  | Event triggerd when the field's value has changed

The latest version of this document can be found at lazarus-ccr.sourceforge.net .